//
//  JOYTableViewController.m
//  My Focus
//
//  Created by 凡 刘 on 12-6-1.
//  Copyright (c) 2012年 北京帷幄昊合数字娱乐科技有限公司. All rights reserved.
//

#import "JOYTableViewController.h"
#import "JOYFocusUser.h"

@interface JOYTableViewController () {
@private
    NSMutableArray *_userList;
}

@end

@implementation JOYTableViewController

- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];

    // 设定pList文件路径
    NSString *dataPath = [[NSBundle mainBundle]pathForResource:@"FocusUsers.plist" ofType:nil];
    // 填充数组内容
    NSMutableArray *array = [NSMutableArray arrayWithContentsOfFile:dataPath];
    
    // 初始化一个空的用户列表数组
    _userList = [[NSMutableArray alloc]init];
    for (NSDictionary *item in array) {
        JOYFocusUser *user = [[JOYFocusUser alloc]initWithItem:item];
        [_userList addObject:user];
    }

}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    NSLog(@"userCount: %d", _userList.count);
    return [_userList count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    
    // Configure the cell...
    // 实例化单元格对象
    if (cell == nil) {
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier];
    }
    
    // 设置单元格文本
//    NSDictionary *item = [_userList objectAtIndex:[indexPath row]];
    JOYFocusUser *user = [_userList objectAtIndex:[indexPath row]];
//    [cell.textLabel setText:[item objectForKey:@"UserName"]];
    [cell.textLabel setText:[user userName]];

    // 设定字体
    [cell.textLabel setFont:[UIFont fontWithName:@"Helvetica" size:16.0f]];
    // 改变字体颜色
    [cell.textLabel setTextColor:[UIColor orangeColor]];
    // 调整文本居中对齐
    [cell.textLabel setTextAlignment:UITextAlignmentCenter];
    
    // 显示头像
//    [cell.imageView setImage:[UIImage imageNamed:[item objectForKey:@"Image"]]];
    [cell.imageView setImage:[user image]];
    
    return cell;
}

/*
// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the specified item to be editable.
    return YES;
}
*/

/*
// Override to support editing the table view.
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (editingStyle == UITableViewCellEditingStyleDelete) {
        // Delete the row from the data source
        [tableView deleteRowsAtIndexPaths:[NSArray arrayWithObject:indexPath] withRowAnimation:UITableViewRowAnimationFade];
    }   
    else if (editingStyle == UITableViewCellEditingStyleInsert) {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
    }   
}
*/

/*
// Override to support rearranging the table view.
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath
{
}
*/

/*
// Override to support conditional rearranging of the table view.
- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the item to be re-orderable.
    return YES;
}
*/

#pragma mark - Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Navigation logic may go here. Create and push another view controller.
    /*
     <#DetailViewController#> *detailViewController = [[<#DetailViewController#> alloc] initWithNibName:@"<#Nib name#>" bundle:nil];
     // ...
     // Pass the selected object to the new view controller.
     [self.navigationController pushViewController:detailViewController animated:YES];
     */
}

@end
